# Class BasicComboPopup.ListMouseHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicComboPopup.ListMouseHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.ListMouseHandler extends MouseAdapter
This listener hides the popup when the mouse is released in the list.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ListMouseHandler()`
  Constructs a `ListMouseHandler`.

- ## Method Summary

  ### Methods declared in class MouseAdapter

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListMouseHandler

    protected ListMouseHandler()
    Constructs a `ListMouseHandler`.